parameters:

services:
    d2_cart_manager:
        class:          D2\CustomerBusinessBundle\DependencyInjection\Services\CartManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    customer_document_manager:
        class:          D2\CustomerBusinessBundle\Services\CustomerDocumentManager
        arguments:      [@doctrine,@knp_paginator,@service_container]
        tags:
            - { name: customer_document_manager} 

    # Event Listeners
    d2_customer_bundle.event_listeners.new_document_item_listener:
        class: 					D2\CustomerBusinessBundle\DependencyInjection\EventListeners\NewDocumentItemListener
        tags:
          - { name: doctrine.event_listener, event: onFlush }
